|  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #36403 oci_execute() no longer supports OCI_DESCRIBE_ONLY
Submitted: 2006-02-15 19:01 UTC Modified: 2006-02-15 21:49 UTC
Avg. Score:5.0 ± 0.0
Reproduced:3 of 3 (100.0%)
Same Version:1 (33.3%)
Same OS:1 (33.3%)
From: johnw at sussex dot ac dot uk Assigned:
Status: Closed Package: OCI8 related
PHP Version: 5.1.2 OS: solaris 9
Private report: No CVE-ID:
 [2006-02-15 19:01 UTC] johnw at sussex dot ac dot uk
Supplying the constant OCI_DESCRIBE_ONLY as the second 
argument (mode) to oci_execute() results in a warning,
and oci_execute() returning false.

Reproduce code:
The bug is caused by these lines of code in
at line 1351 in the definition of

   switch (mode) {
     case OCI_DEFAULT:
       /* only these two are allowed */
       php_error_docref(NULL TSRMLS_CC, E_WARNING,  
            "Invalid execute mode given: %d", mode);
       return 1;

Expected result:
I would expect oci_execute() to pass the mode 
OCI_DESCRIBE_ONLY on to the underlying OCI8 call.

I think it is very bad that this non- backward-
compatible change has been made without being documented 
or announced anywhere. I am responsible for an 
application that is used by several thousands of users 
daily that relies on OCI_DESCRIBE_ONLY working.


Add a Patch

Pull Requests

Add a Pull Request


AllCommentsChangesGit/SVN commitsRelated reports
 [2006-02-15 21:49 UTC]
This bug has been fixed in CVS.

Snapshots of the sources are packaged every three hours; this change
will be in the next snapshot. You can grab the snapshot at
Thank you for the report, and for helping us make PHP better.

PHP Copyright © 2001-2015 The PHP Group
All rights reserved.
Last updated: Wed Nov 25 14:01:32 2015 UTC